Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(7)

Issue 8395007: Add policy for blocking GCP printing. (Closed)

Created:
7 years, 7 months ago by Albert Bodenhamer
Modified:
7 years, 7 months ago
CC:
chromium-reviews, PaweĊ‚ Hajdan Jr.
Visibility:
Public.

Description

Add policy for blocking GCP printing. BUG=101389 TEST=On any platform use the appropriate policy mechanism to set CloudPrintSubmitEnabled to false. Cloud print should no longer be available via built in print mechanisms Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=107748 Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=108038

Patch Set 1 #

Patch Set 2 : Work on merge issues #

Patch Set 3 : Cleanup #

Patch Set 4 : Fix unit test #

Patch Set 5 : Fix mac unit test #

Patch Set 6 : Fix disconnected pref binding #

Patch Set 7 : Fix pref evaluation #

Patch Set 8 : lint #

Patch Set 9 : fix typo #

Total comments: 2

Patch Set 10 : review feedback #

Total comments: 6

Patch Set 11 : Fix build break and respond to additional feedback #

Unified diffs Side-by-side diffs Delta from patch set Stats (+57 lines, -8 lines) Patch
M chrome/app/policy/policy_templates.json View 1 2 3 4 5 6 7 8 9 10 2 chunks +16 lines, -1 line 0 comments Download
M chrome/browser/policy/config_dir_policy_provider_unittest.cc View 1 2 3 4 5 6 7 8 9 10 1 chunk +11 lines, -0 lines 0 comments Download
M chrome/browser/policy/configuration_policy_handler.cc View 1 2 3 4 5 6 7 8 9 10 1 chunk +2 lines, -0 lines 0 comments Download
M chrome/browser/policy/configuration_policy_pref_store_unittest.cc View 1 chunk +2 lines, -0 lines 0 comments Download
M chrome/browser/policy/configuration_policy_provider_mac_unittest.cc View 1 2 3 4 1 chunk +4 lines, -2 lines 0 comments Download
M chrome/browser/policy/configuration_policy_provider_win_unittest.cc View 1 2 3 4 5 6 7 8 9 10 1 chunk +4 lines, -1 line 0 comments Download
M chrome/browser/ui/browser.cc View 1 2 3 4 5 6 7 8 9 10 1 chunk +3 lines, -0 lines 0 comments Download
M chrome/browser/ui/webui/print_preview_handler.cc View 1 2 3 4 5 6 7 8 9 10 4 chunks +10 lines, -4 lines 0 comments Download
M chrome/common/pref_names.h View 1 2 3 4 5 6 7 8 9 10 1 chunk +1 line, -0 lines 0 comments Download
M chrome/common/pref_names.cc View 1 2 3 4 5 6 7 8 9 10 1 chunk +3 lines, -0 lines 0 comments Download
M chrome/test/functional/policy_prefs_ui.py View 1 2 3 4 5 6 7 8 9 10 1 chunk +1 line, -0 lines 0 comments Download

Messages

Total messages: 12 (0 generated)
Albert Bodenhamer
7 years, 7 months ago (2011-10-26 23:03:21 UTC) #1
Scott Byer
Non-policy parts LGTM On 2011/10/26 23:03:21, Albert Bodenhamer wrote:
7 years, 7 months ago (2011-10-26 23:20:04 UTC) #2
pastarmovj
LGTM for the policy stuff with one comment in the code. http://codereview.chromium.org/8395007/diff/14005/chrome/browser/ui/webui/print_preview_handler.cc File chrome/browser/ui/webui/print_preview_handler.cc (right): ...
7 years, 7 months ago (2011-10-27 09:01:23 UTC) #3
Albert Bodenhamer
Waiting for a last set of tries before I commit http://codereview.chromium.org/8395007/diff/14005/chrome/browser/ui/webui/print_preview_handler.cc File chrome/browser/ui/webui/print_preview_handler.cc (right): http://codereview.chromium.org/8395007/diff/14005/chrome/browser/ui/webui/print_preview_handler.cc#newcode666 ...
7 years, 7 months ago (2011-10-27 18:18:38 UTC) #4
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/abodenha@chromium.org/8395007/16001
7 years, 7 months ago (2011-10-27 21:06:06 UTC) #5
commit-bot: I haz the power
Try job failure for 8395007-16001 (retry) on linux_rel for step "ui_tests". It's a second try, ...
7 years, 7 months ago (2011-10-27 21:55:44 UTC) #6
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/abodenha@chromium.org/8395007/16001
7 years, 7 months ago (2011-10-28 16:20:02 UTC) #7
commit-bot: I haz the power
Change committed as 107748
7 years, 7 months ago (2011-10-28 17:34:57 UTC) #8
Joao da Silva
Drive by review, since this broke the pyauto tests. Please consider the comments inline if ...
7 years, 7 months ago (2011-10-28 18:56:56 UTC) #9
Albert Bodenhamer
http://codereview.chromium.org/8395007/diff/16001/chrome/app/policy/policy_templates.json File chrome/app/policy/policy_templates.json (right): http://codereview.chromium.org/8395007/diff/16001/chrome/app/policy/policy_templates.json#newcode103 chrome/app/policy/policy_templates.json:103: # For your editing convenience: highest ID currently used: ...
7 years, 7 months ago (2011-10-28 22:06:06 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/abodenha@chromium.org/8395007/21001
7 years, 7 months ago (2011-10-31 22:33:02 UTC) #11
commit-bot: I haz the power
7 years, 7 months ago (2011-10-31 23:45:43 UTC) #12
Change committed as 108038

Powered by Google App Engine
This is Rietveld 408576698